#ifndef _tenki_dashboard_h__
#define _tenki_dashboard_h__

#include <QHash>
#include <QLabel>
#include <QVBoxLayout>
#include <QWidget>

#include "DashSensor.h"
#include "TDevice.h"

class TenkiDashboard : public QWidget {
    Q_OBJECT

  public:
    TenkiDashboard();
    virtual ~TenkiDashboard();

  private:
    QVBoxLayout *mainLayout;
    QVBoxLayout *sensorsLayout;
    QHash<QString, DashSensor *> sensors;
    bool dxc320WarningShown = false;

  public slots:

    void addDevice(const TDevice *device);
    void removeDevice(const TDevice *device);
};

#endif
